function y = correction4(x, p)
	y = zeros (size (x));

phase1 = x<-10;
phase2 = (x>=-10) & (x<-8);
phase3 = (x>=-8) & (x<-6);
phase4 = (x>=-6 )& (x<-4);
phase5 = (x>=-4) & (x<-2);
phase6 = (x>=-2) & (x<-0.1);
phase7 = (x>=-0.1) & (x<-0.08);
phase8 = (x>=-0.08) & (x<-0.06);
phase9 = (x>=-0.06) & (x<-0.04);
phase10= (x>=-0.04) & (x<-0.02);
phase11= (x>=-0.02) & (x<0);
phase12= (x>=0) & (x<2);
phase13= (x>=2) & (x<4);
phase14= (x>=4) & (x<6);
phase15= (x>=6) & (x<8);
phase16= (x>=8) & (x<10);
phase17= x>=10;

y( phase1 ) = p(16)*x( phase1);
y( phase2 ) = (x( phase2 )-0.02*(p(6)+p(7)+p(8)+p(9)+p(10))-1.9*p(11)-2*(p(12)+p(13)+p(14))+(x( phase2 )+8)*p(15))*p(16);
y( phase3 ) = (x( phase3 )-0.02*(p(6)+p(7)+p(8)+p(9)+p(10))-1.9*p(11)-2*(p(12)+p(13))+(x( phase3 )+6)*p(14))*p(16);
y( phase4 ) = (x( phase4 )-0.02*(p(6)+p(7)+p(8)+p(9)+p(10))-1.9*p(11)-2*p(12)+(x( phase4 )+4)*p(13))*p(16);
y( phase5 ) = (x( phase5 )-0.02*(p(6)+p(7)+p(8)+p(9)+p(10))-1.9*p(11)+(x( phase5 )+2)*p(12))*p(16);
y( phase6 ) = (x( phase6 )-0.02*(p(6)+p(7)+p(8)+p(9)+p(10))+(x( phase6 )+0.1)*p(11))*p(16);
y( phase7 ) = (x( phase7 )-0.02*(p(6)+p(7)+p(8)+p(9))+(x( phase7 )+0.08)*p(10))*p(16);
y( phase8 ) = (x( phase8 )-0.02*(p(6)+p(7)+p(8))+(x( phase8 )+0.06)*p(9))*p(16);
y( phase9 ) = (x( phase9 )-0.02*(p(6)+p(7))+(x( phase9 )+0.04)*p(8))*p(16);
y( phase10) = (x( phase10 )-0.02*p(6)+(x( phase10 )+0.02)*p(7))*p(16);
y( phase11) = (p(6)*x( phase11 )+x( phase11 ))*p(16);
y( phase12) = (p(1)*x( phase12 )+x( phase12 ));
y( phase13) = (2*p(1)+x( phase13 )+(x( phase13 )-2)*p(2));
y( phase14) = (2*(p(1)+p(2))+x( phase14 )+(x( phase14 )-4)*p(3));
y( phase15) = (2*(p(1)+p(2)+p(3))+x( phase15 )+(x( phase15 )-6)*p(4));
y( phase16) = (2*(p(1)+p(2)+p(3)+p(4))+x( phase16 )+(x( phase16 )-8)*p(5));
y( phase17) = ((x( phase17 )-10)*p(5)+x( phase17 ));
y = p(18)+p(17)*y;


% y=H15*x
% y=(x-0.02*(H5+H6+H7+H8+H9)-1.9*H10-2*(H11+H12+H13)+(x+8)*H14)*H15
% y=(x-0.02*(H5+H6+H7+H8+H9)-1.9*H10-2*(H11+H12)+(x+6)*H13)*H15
% y=(x-0.02*(H5+H6+H7+H8+H9)-1.9*H10-2*H11+(x+4)*H12)*H15
% y=(x-0.02*(H5+H6+H7+H8+H9)-1.9*H10+(x+2)*H11)*H15
% y=(x-0.02*(H5+H6+H7+H8+H9)+(x+0.1)*H10)*H15
% y=(x-0.02*(H5+H6+H7+H8)+(x+0.08)*H9)*H15
% y=(x-0.02*(H5+H6+H7)+(x+0.06)*H8)*H15
% y=(x-0.02*(H5+H6)+(x+0.04)*H7)*H15
% y=(x-0.02*H5+(x+0.02)*H6)*H15
% y=(H5*x+x)*H15
% y=H0*x+x
% y=2*H0+x+(x-2)*H1
% y=2*(H0+H1)+x+(x-4)*H2
% y=2*(H0+H1+H2)+x+(x-6)*H3
% y=2*(H0+H1+H2+H3)+x+(x-8)*H4
% y=(x-10)*H4+x

endfunction